<?php

// Theme settings
define("THEME_WIDTH", "100%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");
$enable_colour_switcher = true; //true=enable colour switcher | false=disable colour switcher

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";
require_once THEMES."templates/switcher.php";

$colour_switcher = new Switcher("select", "colour", "gif", "black", "switcherbutton");
if(!$enable_colour_switcher){
	$colour_switcher->disable();

}


redirect_img_dir(THEME."forum", THEME."forum/".$colour_switcher->selected);
set_image("pollbar", THEME."images/black/bar.gif");

function get_head_tags(){
	global $colour_switcher;
	echo $colour_switcher->makeHeadTag();



}

$body_text = "#000000";
$body_bg = "#c2c9c9";

function render_page($license=false) {

global $aidlink, $locale, $settings, $colour_switcher, $main_style;

//Header
echo "<table align='center' width='".THEME_WIDTH."' cellspacing='0' cellpadding='0' id='main'><tr>\n";
echo "<td>\n";
	echo "<table width='".THEME_WIDTH."' cellspacing='0' cellpadding='0'><tr>\n";
	echo "<td class='full-header' style='padding:5px;'>\n";
		echo "<table width='100%' cellspacing='0' cellpadding='0'><tr>\n";
		echo "<td>".showbanners()."</td>\n";
		echo "<td align='right' valign='bottom' class='full-header'>\n".$colour_switcher->makeForm("flright")." </td>\n";
		echo "</tr></table>\n";
	echo "</td>\n";
	echo "</tr></table>\n";
echo "</td>\n";
echo "</tr></table>\n";

//Sub-header
echo "<table width='".THEME_WIDTH."' cellspacing='0' cellpadding='0'><tr>\n";
	echo "<td class='bar-left'><img src='".THEME."images/blank.gif' width='7' height='28' alt='' style='display:block' /></td>\n";
	echo "<td class='bar-main'>".showsublinks(" <span class='bullet'>&middot;</span> ","white")."</td>\n";
	echo "<td align='right' class='bar-main'>".showsubdate()."</td>\n";
	echo "<td class='bar-right'><img src='".THEME."images/blank.gif' width='9' height='28' alt='' style='display:block' /></td>\n";
echo "</tr></table>\n";

//Content
echo "<table width='".THEME_WIDTH."' cellspacing='0' cellpadding='0'><tr>\n";
                   if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
                   echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
                   if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
echo "</tr></table>\n";

//Footer
echo "<table class='white-footer' cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'><tr>\n";
echo "<td width='".THEME_WIDTH."'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'><tr>\n";
//	echo "<td align='left' width='33%' class='white-subfooter'>".showrendertime()."</td>\n";
	echo "<td class='white-subfooter'>".stripslashes($settings['footer'])."</td>\n";
	echo "<td align='right' width='33%' class='white-subfooter'>".showcounter()."</td>\n";
	echo "</tr></table>\n";
echo "</td>\n";
echo "</tr></table>\n";
echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'><tr>\n";
echo "<td align='center' class='full-header'><br />Paradox theme originally by <a href='http://www.php-fusion.co.uk' target='_blank'>Digitanium</a>. Converted to PHP-Fusion v7 by <a href='http://www.php-fusion.nu/' target='_blank'>Kenneth</a>.<br />Modifications to v7 Theme by <a href='http://www.whisperwillow.com/' target='_blank'>Grimloch</a> || Paradox Multicolor Theme by <a href='http://www.whisperwillow.com/' target='_blank'>Grimloch</a><br /><br />";
	        if (!$license) { echo "".showcopyright()."<br />"; }
	echo "</td>\n";
echo "</tr></table>\n";
}

function render_news($subject, $news, $info) {

echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='b-top-left'><img src='".THEME."images/blank.gif' width='7' height='27' alt='' style='display:block' /></td>\n";
	echo "<td class='b-top-main'>$subject</td>\n";
	echo "<td class='b-top-right'><img src='".THEME."images/blank.gif' width='9' height='27' alt='' style='display:block' /></td>\n";
echo "</tr></table>\n";
echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='b-left'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
	echo "<td class='main-body'>$news<div style='margin-top:5px;'>\n";
		echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='news-footer'>".newsposter($info, THEME_BULLET).newsopts($info, THEME_BULLET).itemoptions("N",$info['news_id'])."</td>\n";
	echo "</tr></table>\n";
		echo "</div></td>\n";
	echo "<td class='b-right'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
echo "</tr><tr>\n";
	echo "<td class='b-bottom-left'><img src='".THEME."images/blank.gif' width='7' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-main'><img src='".THEME."images/blank.gif' width='1' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-right'><img src='".THEME."images/blank.gif' width='9' height='10' alt='' style='display:block' /></td>\n";
echo "</tr></table><br />\n";
}

function render_article($subject, $article, $info) {

echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='b-top-left'><img src='".THEME."images/blank.gif' width='7' height='27' alt='' style='display:block' /></td>\n";
	echo "<td class='b-top-main'>$subject</td>\n";
	echo "<td class='b-top-right'><img src='".THEME."images/blank.gif' width='9' height='27' alt='' style='display:block' /></td>\n";
echo "</tr></table>\n";
echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='b-left'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
	echo "<td class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."<div style='margin-top:5px;'>\n";
		echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='news-footer'>".articleposter($info, THEME_BULLET).articleopts($info, THEME_BULLET).itemoptions("A",$info['article_id'])."</td>\n";
	echo "</tr></table>\n";
		echo "</div></td>\n";
	echo "<td class='b-right'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
echo "</tr><tr>\n";
	echo "<td class='b-bottom-left'><img src='".THEME."images/blank.gif' width='7' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-main'><img src='".THEME."images/blank.gif' width='1' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-right'><img src='".THEME."images/blank.gif' width='9' height='10' alt='' style='display:block' /></td>\n";
echo "</tr></table>\n";
}

function opentable($title) {

echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='b-top-left'><img src='".THEME."images/blank.gif' width='7' height='27' alt='' style='display:block' /></td>\n";
	echo "<td class='b-top-main'>$title</td>\n";
	echo "<td class='b-top-right'><img src='".THEME."images/blank.gif' width='9' height='27' alt='' style='display:block' /></td>\n";
echo "</tr></table>\n";
echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0' class='tablebreak'><tr>\n";
	echo "<td class='b-left'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
	echo "<td class='main-body'>\n";
}

function closetable() {

echo "</td>\n";
	echo "<td class='b-right'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
echo "</tr><tr>\n";
	echo "<td class='b-bottom-left'><img src='".THEME."images/blank.gif' width='7' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-main'><img src='".THEME."images/blank.gif' width='1' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-right'><img src='".THEME."images/blank.gif' width='9' height='10' alt='' style='display:block' /></td>\n";
echo "</tr></table>\n";
}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;

	echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>\n";
	echo "<td class='b-top-left'><img src='".THEME."images/blank.gif' width='7' height='27' alt='' style='display:block' /></td>\n";
	echo "<td class='b-top-main'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='b-top-main' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='b-top-right'><img src='".THEME."images/blank.gif' width='9' height='27' alt='' style='display:block' /></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='tablebreak'><tr>\n";
	echo "<td class='b-left'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
	echo "<td class='side-body'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {

global $panel_collapse;

if ($panel_collapse == true) { echo "</div>\n"; }
echo "</td>\n";
	echo "<td class='b-right'><img src='".THEME."images/blank.gif' width='7' height='1' alt='' style='display:block' /></td>\n";
echo "</tr><tr>\n";
	echo "<td class='b-bottom-left'><img src='".THEME."images/blank.gif' width='7' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-main'><img src='".THEME."images/blank.gif' width='1' height='10' alt='' style='display:block' /></td>\n";
	echo "<td class='b-bottom-right'><img src='".THEME."images/blank.gif' width='9' height='10' alt='' style='display:block' /></td>\n";
echo "</tr></table>\n";
}
?>
